##### windows::basic_overlapped_handle::basic_overlapped_handle (2 of 6 overloads)

Construct an overlapped handle without opening it.

    template<
        typename ExecutionContext>
    basic_overlapped_handle(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor creates an overlapped handle without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the overlapped handle will use, by default, to dispatch handlers for any asynchronous operations performed on the overlapped handle.